# Pathfinder: A Python CLI Text Adventure Game
This is a Python CLI game application, where players are introduced to a storyline that they can shape based on their decisions.

## Table of Contents
- [Installation](#installation)
- [Usage](#usage)
- [Game Mechanics](#game-mechanics)
- [Features](#features)
- [Roadmap](#roadmap)
- [Sprint 2](#sprint-2)

## Installation
To set up the game, follow these instructions:
1. Clone the repository to your local machine.
2. Navigate to the cloned directory.

## Usage
1. Ensure you have Python installed on your machine.
2. Open a terminal or command prompt.
3. Navigate to the directory where the game file (game.py) is located.
4. Run the game using the Python interpreter: 'python game.py'
5. The game will display a welcome message and provide instructions for gameplay.
6. Press Enter to start the game.
7. Read the storyline and follow the instructions presented. 
8. Enter your choice by typing forest, beach, or cave and press Enter.
9. Continue playing the game by making choices and following the prompts.
10. Enjoy the adventure and see where your choices lead you!

## Game Mechanism

* The game presents a text-based interface where players make choices to progress.
* Players are presented with different paths and options, leading to unique storylines.
* Typewriter effect: The game utilizes a typewriter effect for printing text, enhancing the storytelling experience.
* Clear screen: The game clears the terminal screen for better readability and presentation.

## Features
Features that have been implemented:
* Welcome message and game instructions.
* Multiple acts and storylines.
* Unique settings and environments (e.g., forest, beach, cave).
* Interaction with NPC.
* Quests and puzzles to solve.
* Clues and hints for progression.
* Multiple endings based on player choices.

## Roadmap 
Future updates and releases may include the following:
* Additional acts/storylines/paths.
* Expanded game mechanics and interactions.
* Improved graphical elements.
* Enhanced sound effects and music.
* Inventory system
* Turn Based Combat Mechanics (e.g. Boss Fights)
* Dialogue
* Choosing difficulty (e.g affecting puzzles, riddles, boss fights)
* Achievement System/Leaderboard
* Trophy/Challenges system

## Sprint 2
Features to be implemented for Sprint 2.
* Finish Act 3 (Final Act) storyline for all three paths (forest, beach, cave).
* Give player the option to either restart or exit the game when the game ends in whatever outcome.
* Address any bugs that arise.
